### Hierarchy

- RTCRtpTransceiver

## Index

### Properties

- currentDirection
- direction
- mid
- receiver
- sender
- stopped

### Methods

- setCodecPreferences
- stop

## Properties

### currentDirection

currentDirection: RTCRtpTransceiverDirection | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11703

### direction

direction: RTCRtpTransceiverDirection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11704

### mid

mid: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11705

### receiver

receiver: RTCRtpReceiver

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11706

### sender

sender: RTCRtpSender

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11707

### stopped

stopped: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11708

## Methods

### setCodecPreferences

- setCodecPreferences(codecs: RTCRtpCodecCapability[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11709

  #### Parameters

  - ##### codecs: RTCRtpCodecCapability[]

  #### Returns void

### stop

- stop(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11710

  #### Returns void

Generated using TypeDoc